
Redmine - Feature #2337

Highlight overdue Tickets

2008-12-14 23:44 - Leonard Brünings

Status: Closed Start date: 2008-12-14

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 0.9.0   

Resolution: Fixed   

Description

It would be perfect if overdue tickets are highlighted e.g. make them bold so you can directly see

which tickets are overdue.

Related issues:

Related to Redmine - Feature #2458: add “closed” html class to closed entries... Closed 2009-01-07

Related to Redmine - Defect #9294: Overdue tasks are not highlighted Closed 2011-09-21

Related to Redmine - Feature #20812: Highlight overdue issues and private iss... New

Associated revisions

Revision 2140 - 2008-12-16 22:13 - Jean-Philippe Lang

Adds a css class (overdue) to overdue issues on issue lists and detail views (#2337).

Revision 2361 - 2009-02-03 18:32 - Jean-Philippe Lang

Closed issue are not overdue, fixes r2140 (#2337).

History

#1 - 2008-12-15 19:06 - Jean-Philippe Lang

You mean in the issue list?

I can add a css class on those tickets so that any kind of style can be applied to them.

#2 - 2008-12-15 20:38 - Markus Knittig

Jean-Philippe Lang wrote:

You mean in the issue list?

 Probably...

I can add a css class on those tickets so that any kind of style can be applied to them.

 +1

#3 - 2008-12-15 20:51 - Leonard Brünings

Yeah I mean the issue list as well as my issues.

A CSS class would be a good solution.

Thanks

#4 - 2008-12-19 15:41 - Jean-Philippe Lang

The overdue css class is added in r2140 so you can use it in your own theme.

But no change were done for now on application.css.

#5 - 2009-02-03 01:37 - Leonard Brünings

Thanks it is really usefull, but closed tickets should not be overdue since they are closed.

Could you fix this little issue, then this Ticket can be closed imho.
https://www.redmine.org/projects/redmine/repository/svn/revisions/2140


#6 - 2009-02-03 18:27 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.9.0

- Resolution set to Fixed

Fixed in r2361.

#7 - 2011-10-18 13:57 - Влад Владыч

Why this fix don't work in the latest remine version ?

Overdue issues are look like others.

#8 - 2011-10-18 17:11 - Mischa The Evil

Влад Владыч wrote:

Why this fix don't work in the latest remine version ?

Overdue issues are look like others.

 As stated by Jean-Philippe in note-4 and as mentioned by myself in #9294 note-1 overdue-issue highlighting is not used in any of the bundled

themes. To add it to a custom theme, see #9294 for examples.

#9 - 2015-09-23 03:52 - Go MAEDA

- Related to Feature #20812: Highlight overdue issues and private issues in issue list added
